System.Web 2.0.0.0 System.Web.Compilation.ExpressionBuilder System.Web.Compilation.ExpressionPrefix("AppSettings") System.Web.Compilation.ExpressionEditor("System.Web.UI.Design.AppSettingsExpressionEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

The class provides access to values in the <appSettings> section of the Web.config file. The <appSettings> section of the Web.config file contains application-specific values in key/value pairs.

An application value is retrieved by assigning an expression of the form

<%$ AppSettings: appSettingsKey %>

to a property in a control declaration. The part of the expression before the colon (:) designates the type of expression to be retrieved, and the part after the colon signifies the key. The preceding expression would retrieve the following value from the Web.config file.

<appSettings>

<add key="appSettingsKey" value="appSettingsValue"/>

</appSettings>

When the page parser encounters an expression with the AppSettings prefix, it creates an instance of the class to handle the expression.

If the expression is encountered in a page that will be compiled, the object generates code to retrieve the specified value from the Web.config file. This code is executed during the execution of the generated page class. If the expression is encountered in a page that will not be compiled, the object returns the value from the Web.config file when the page is parsed and executed.

Retrieves values, as specified in a declarative expression, from the <appSettings> section of the Web.config file.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Object `` `` `` ``

  This method is called when an expression of the form <%$ AppSettings: someApplicationSetting %> is encountered in a no-compile page. It retrieves the appropriate value from the key/value pairs in the <appSettings> section of the Web.config file. This method overrides by calling the method with the property as the parameter, the property on the property as the parameter, and the of the parameter as the parameter.

  Returns a value from the <appSettings> section of the Web.config file.

  The associated with a key in the <appSettings> section of the Web.config file.

  The object that contains the property entry. The property to which the expression is bound.. The object that represents parsed data as returned by . Properties for the control or page. 2.0.0.0
- Method
  System.Object ``

  This method retrieves the appropriate value from the key/value pairs in the <appSettings> section of the Web.config file. It retrieves the value by getting the property with the key as the index. The returned is of the type .

  Returns a value from the <appSettings> section of the Web.config file.

  The associated with the key in the <appSettings> section of the Web.config file.

  The key for the value to be retrieved from the configuration file. 2.0.0.0
- Method
  System.Object `` `` ``

  This method retrieves the appropriate value from the key/value pairs in the <appSettings> section of the Web.config file. The value is retrieved by getting the property with the key as the index. The resulting string value is converted to a new type based on the and parameters.

  Returns a value from the <appSettings> section of the Web.config file with the value converted to a target type.

  The associated with the key in the <appSettings> section of the Web.config file.

  The key for a value to be retrieved from the configuration file. The type of the object that contains the property entry. The name of the property to which the expression is bound. 2.0.0.0
- Method
  System.CodeDom.CodeExpression `` `` ``

  This method is called during the CodeDOM creation for a page or control. The returned object represents the code expression to add to the property assignment in the generated page class.

  Returns a code expression that is used to perform the property assignment in the generated page class.

  A that is used in the property assignment.

  The property to which the expression is bound. The object that represents parsed data as returned by . Properties for the control or page. 2.0.0.0
- Property
  System.Boolean To be added.

  The property indicates whether the method has been implemented in the class and can return a value for the expression. must be implemented within an expression builder for an expression to be evaluated in a page that is not compiled. The class supports evaluation of an application setting in a page that is not compiled, so it always returns true.

  Returns a value indicating whether an expression can be evaluated in a page that is not compiled.

  2.0.0.0